I need help for some problems

Hello guy's,

Sorry for this long absence , i was working on Sweety's body. The upper body is almost done, The STL files are ready, i'm working on documentation to assembly it 

Now i go back into coding, but MRL changed a lot and i get some problems :

On develop branch in eclipse .

   Each time i'm pulling updated version, i get an error in pom.xml. I need to add this to remove the error, and of course to pull again, i must reset myrobotlab to replace pom.xml and again add the lines and ....

<dependency>
<groupId>jdk.tools</groupId>
<artifactId>jdk.tools</artifactId>
<version>1.8</version>
<scope>system</scope>
<systemPath>C:\Program Files\Java\jdk1.8.0_181\lib\tools.jar</systemPath>
</dependency>
 
Second problem, i get an error about programAB that avoid me to compile :
 
The method sraix(Chat, String, String, String, String, String, String, String, Locale) of type MrlSraixHandler must override or implement a supertype method
MrlSraixHandler.java /myrobotlab/src/main/java/org/myrobotlab/programab
line 22 Java Problem
 
The type MrlSraixHandler must implement the inherited abstract method SraixHandler.sraix
(Chat, String, String, String, String, String, String, String)
MrlSraixHandler.java /myrobotlab/src/main/java/org/myrobotlab/programab
line 16 Java Problem
 
Other problem, but in MRL gui this time : In python tab, i'm opening a file , by exemple Sweety.py and when i run it i get an error. I must copy the script, paste it in notepad, copy it again to paste it in MRL python tab to make it run . I've tryed to save it from MRL, save it from notepad++ or notepad, but always the same issue .
 
Program AB stopped to work in latest release of MRL and this block the launch of my script because Sweety.java need it .
 
If someone can help me to fix all that, it will be nice 
 
Sorry, i know your eyes begin to burn, but i still have something to write !

@Grog, I can't update Sweety's service page, because i don't have access to that, can you ,please give me the posibility to do it ?

And for later, i would like, a day make a virtual Sweety like virtual inmoov. Where can i find some doc, tuto, info .. to do it. thx

Thx you to took the time to read all that, and i congrat all the team for the work that you made ! 

Here is a picture of Sweety's advancement .

MaVo's picture

ok, I'll start: 1. pom.xml

ok, I'll start:

1. pom.xml error

I had the same problem when setting up this laptop just a few days back.

Added the dependency you mentioned to the pom, the error went away, removed the dependency again, the error did not came back (yet).

I'm still not completly sure what was/is going on.

2. ProgramAB problem

Sounds like you got out of sync locally.

I would suggest you to clone myrobotlab into a new directory and check if this error persists.

3. Python script loading

Is the Python saving/loading stuff borked (again?)

I don't really have the time to look into it, but I will if I get the time.

4. Edit service pages

Sorry, I'm not the great GroG (obviously : ) )

5. Virtual Sweety

I would start to create a virtual model of Sweety. That should be the most time-consuming part.

kwatters's picture

Welcome to Nixie (pre-release)

Ahoy Beetlejuice & welcome back.  Sweetie is looking good.

So, yeah, lots of stuff changed, as you noticed.

A couple quick comments on your issues.

1. the tools.jar is included by default with the JDK.  If Eclipse is accidentally picking up the JRE, that jar won't be found.  The tools.jar dependency is not supposed to be added, but as MaVo points you, it's a work around.  Likely you have multiple versions of java installed, and probably eclipse is picking the wrong one.  (perhaps from the JAVA_HOME env var or path?)  Make sure those point at the JDK and you should be ok.  There are many stack overflow articles specifically about this issue, hopefully one of those will get you sorted.

 

2. ProgramAB was updated to version 0.0.8.3 so, it sounds like your programab / pom file are out of date.  Now the MrlSraixHandler is required to pass the Locale in with it.  This is a step towards having ProgramAB support many different languages in the world.  Make sure you've pulled the latest.

 

3. The python gui? I'm not sure what's up there.  Likely some little bug not picking the proper tab to execute the script from.  I'll try to have a look.  Normally,  I start my scripts from the command line so I haven't seen this issue.    This blog post shows how to do that for reference.

http://myrobotlab.org/content/running-script-when-you-start-mrl-command-...

 

Good luck!

beetlejuice's picture

Hello, thx for your advices

Hello, thx for your advices !

So i've deleted the .m2 folder, and myrobotlab folder . Cloned myrobotlab folder from git and errors gones away 

So i just need to find the problem with jdktool and it will be ok. Eclipse use the good java jdk and not jre . The JAVA_HOME env var and path are well set , All seems to be ok . it's a strange thing . 

@MaVo -> For me too the problem appear when i reinstall my pc . Windows was a 32bits and i was stuck to 3,5 Mo of ram instead of 4Mo; it's not a lot, but since i upgraded it to 12Mo, it was necessary to change for 64Bits ..

What do you mean by 

I would start to create a virtual model of Sweety

The 3D model ? or a java service ?

If it's the 3d model, i've got the stl and solidworks files. Ithing i will need to learn animation under blender .. right ?

Does the virtual 3d model could used to avoid self collision on the real model ? I mean avoid to move the arm if it will hit the body . 

But i've so much things that i would to do , it's not for tomorrow !